summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2010-07-07 11:37:49 +0000
committerramon <ramongomez@us.es>2010-07-07 11:37:49 +0000
commit85b029fc5e9d58ebe148ecda67f76fc26f8d78cc (patch)
tree63658dc60e29a3552aaf95f83134147b96549a43
parent52ead998ef543ce16393b06e5c40b7fd542eb662 (diff)
Scripts de gestión de repositorio independientes de la API del motor de clonación.
git-svn-id: https://opengnsys.es/svn/trunk@1085 a21b9725-9963-47de-94b9-378ad31fedc9
-rwxr-xr-xinstaller/opengnsys_installer.sh8
-rwxr-xr-xinstaller/opengnsys_update.sh2
-rw-r--r--repoman/LICENSE.en.txt (renamed from repoman/LICENSE)0
-rw-r--r--repoman/README.es.txt9
-rwxr-xr-xrepoman/bin/sendFileMcast32
-rwxr-xr-xrepoman/bin/udp-senderbin0 -> 56836 bytes
6 files changed, 45 insertions, 6 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index 2feedd7a..2b369f51 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -814,10 +814,8 @@ function openGnsysCopyServerFiles () {
client/boot/udeblist-jaunty.conf \
client/boot/udeblist-karmic.conf \
client/boot/udeblist-lucid.conf \
- client/nfsexport/bin/udp-sender \
- client/nfsexport/bin/udp-receiver \
- client/nfsexport/scripts/sendFileMcast \
server/PXE/pxelinux.cfg/default \
+ repoman/bin \
doc )
local TARGETS=( bin/initrd-generator \
bin/upgrade-clients-udeb.sh \
@@ -825,10 +823,8 @@ function openGnsysCopyServerFiles () {
etc/udeblist-jaunty.conf \
etc/udeblist-karmic.conf \
etc/udeblist-lucid.conf \
- bin/udp-sender \
- bin/udp-receiver \
- bin/sendFileMcast \
tftpboot/pxelinux.cfg/default \
+ bin \
doc )
if [ ${#SOURCES[@]} != ${#TARGETS[@]} ]; then
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index 3dda6af2..077ed944 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -281,6 +281,7 @@ function updateServerFiles () {
client/boot/udeblist-jaunty.conf \
client/boot/udeblist-karmic.conf \
client/boot/udeblist-lucid.conf \
+ repoman/bin \
doc )
local TARGETS=( bin/initrd-generator \
bin/upgrade-clients-udeb.sh \
@@ -288,6 +289,7 @@ function updateServerFiles () {
etc/udeblist-jaunty.conf \
etc/udeblist-karmic.conf \
etc/udeblist-lucid.conf \
+ bin \
doc )
if [ ${#SOURCES[@]} != ${#TARGETS[@]} ]; then
diff --git a/repoman/LICENSE b/repoman/LICENSE.en.txt
index 94a9ed02..94a9ed02 100644
--- a/repoman/LICENSE
+++ b/repoman/LICENSE.en.txt
diff --git a/repoman/README.es.txt b/repoman/README.es.txt
new file mode 100644
index 00000000..cfcf31b4
--- /dev/null
+++ b/repoman/README.es.txt
@@ -0,0 +1,9 @@
+OpenGnSys Repository Manager RREADME
+=======================================
+
+
+Este directorio contiene la estructura de datos del repositorio de datos de OpenGnSys.
+
+- bin binarios y scripts de gestión del repositorio.
+
+
diff --git a/repoman/bin/sendFileMcast b/repoman/bin/sendFileMcast
new file mode 100755
index 00000000..a06d15e8
--- /dev/null
+++ b/repoman/bin/sendFileMcast
@@ -0,0 +1,32 @@
+#!/bin/bash
+#@brief Envía un fichero por multicast ORIGEN(fichero) DESTINO(sessionmulticast)
+#@param path_file Camino completo del fichero a enviar
+#@param str_session Datos de sesión (Puerto:Duplex:IP:Mpbs:Nclientes:Timeout)
+
+
+PROG=$(basename $0)
+
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ echo "Formato: $PROG fichero datosMulticast"
+ echo "Ejemplo: $PROG /opt/opengnsys/images/PS1_PH1.img 9000:full-duplex:239.194.17.2:70M:20:300"
+ exit 0
+fi
+# Error si no se reciben 2 parámetros.
+if [ $# -ne 2 ]; then
+ echo "Error: Formato: $PROG fichero datosMulticast" >&2
+ exit 1
+fi
+
+# Parámetros de sesión separado por ":".
+OIFS=$IFS; IFS=':'
+read -e PORTBASE METHOD ADDRESS BITRATE NCLIENTS MAXTIME <<<"$2"
+IFS=$OIFS
+
+# FIXME Comprobación consistencia de parámetros.
+
+# Envío de fichero por Multicast.
+which mbuffer &> /dev/null && MBUFFER="--pipe 'mbuffer -m 20M'"
+udp-sender $MBUFFER --portbase $PORTBASE --$METHOD --mcast-data-address $ADDRESS --fec $CERROR --max-bitrate $BITRATE --ttl 1 --min-clients $NCLIENTS --max-wait $MAXTIME --file "$1"
+
+
diff --git a/repoman/bin/udp-sender b/repoman/bin/udp-sender
new file mode 100755
index 00000000..87789a05
--- /dev/null
+++ b/repoman/bin/udp-sender
Binary files differ